## org.apache.xalan.xsltc.dom
Class UnionIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.MultiValuedNodeHeapIterator
                  |
                  +--org.apache.xalan.xsltc.dom.UnionIterator

public final class UnionIterator
extends MultiValuedNodeHeapIterator

UnionIterator takes a set of NodeIterators and produces a merged NodeSet in document order with duplicates removed The individual iterators are supposed to generate nodes in document order

Inner classes inherited from class org.apache.xalan.xsltc.dom.MultiValuedNodeHeapIterator
`MultiValuedNodeHeapIterator.HeapNode`

Constructor Summary
`UnionIterator(DOM dom)`

Method Summary
`UnionIterator` `addIterator(DTMAxisIterator iterator)`

Methods inherited from class org.apache.xalan.xsltc.dom.MultiValuedNodeHeapIterator
`cloneIterator, gotoMark, next, reset, setMark, setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionIterator

    public UnionIterator(DOM dom)

Method Detail

### addIterator

    public UnionIterator addIterator(DTMAxisIterator iterator)

Copyright © 2006 Apache XML Project. All Rights Reserved.